Subject: bug#59996: closed (Re: bug#59996: 30.0.50; Overlays section of Elisp manual still states that overlays scale linearly)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 Dec 2022 13:40:02 +0000

Your bug report

#59996: 30.0.50; Overlays section of Elisp manual still states that overlays scale linearly

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59996: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59996
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59996: 30.0.50; Overlays section of Elisp manual still states that overlays scale linearly
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Dec 2022 15:39:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Date: Mon, 12 Dec 2022 09:53:51 +0000
> 
> I am still seeing the following clause in the 41.9 Overlays section of
> Elisp manual:
> 
>        The visual effect of an overlay is the same as of the corresponding
>     text property (*note Text Properties::).  However, due to a different
>     implementation, overlays generally don’t scale well (many operations
>     take a time that is proportional to the number of overlays in the
>     buffer).  If you need to affect the visual appearance of many portions
>     in the buffer, we recommend using text properties.
> 
> Should it be removed now, when overlays are equally performance with
> text properties?

Yes.  I removed it.

I guess that entire section should be audited for inaccuracies now;
reviews and patches are welcome.

Thanks.

Subject: 30.0.50; Overlays section of Elisp manual still states that overlays scale linearly
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Mon, 12 Dec 2022 09:53:51 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am still seeing the following clause in the 41.9 Overlays section of
Elisp manual:

       The visual effect of an overlay is the same as of the corresponding
    text property (*note Text Properties::).  However, due to a different
    implementation, overlays generally don’t scale well (many operations
    take a time that is proportional to the number of overlays in the
    buffer).  If you need to affect the visual appearance of many portions
    in the buffer, we recommend using text properties.

Should it be removed now, when overlays are equally performance with
text properties?

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.35, cairo version 1.17.6) of 2022-12-07 built on localhost
Repository revision: f0e118d3f676afe39df29663399d4bbe8f53f208
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Gentoo Linux

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>